Bug 245652 - devel/p5-indirect: Update to 0.39
Summary: devel/p5-indirect: Update to 0.39
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Wen Heping
URL: https://metacpan.org/release/indirect
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2020-04-15 22:03 UTC by Sergei Vyshenski
Modified: 2020-05-05 11:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (citric)


Attachments
patch to update the port (1.27 KB, patch)
2020-04-15 22:03 UTC, Sergei Vyshenski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2020-04-15 22:03:26 UTC
Created attachment 213435 [details]
patch to update the port

- update 0.33 -> 0.39
Changes: https://metacpan.org/changes/distribution/indirect
- add LICENSE_FILE
- add TEST_DEPENDS
- request maintainership, as Dan Rench <citric@cubicone.tmetic.com> 
	is absent for 7+ years, see:
https://svnweb.freebsd.org/ports/head/devel/p5-indirect/Makefile?view=log

- "portlint -AC" gives non-relevant warns.
- Tested with:
12.1-RELEASE-p3 amd64
poudriere 3.3.4
perl 5.30.2
pkg 1.14.2
ssl=base
- built-in perl tests in a clean poudriere jail say PASS.
Comment 1 Automation User 2020-04-16 00:33:22 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/136459472
Comment 2 commit-hook freebsd_committer 2020-05-05 11:23:24 UTC
A commit references this bug:

Author: wen
Date: Tue May  5 11:22:33 UTC 2020
New revision: 534072
URL: https://svnweb.freebsd.org/changeset/ports/534072

Log:
  - Update to 0.39
  - Pass maintainership to submitter
  - Add LICENSE_FILE
  - Add TERST_DEPENDS

  PR:		245652
  Submitted by:	svysh.fbsd@gmail.com
  Approved by:	maintainer(timeout, > 14 days)

Changes:
  head/devel/p5-indirect/Makefile
  head/devel/p5-indirect/distinfo